Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.motifDiscovery
Enum MotifDiscoverer.KindOfProfile

    java.lang.Object
      java.lang.Enum<MotifDiscoverer.KindOfProfile>
          de.jstacs.motifDiscovery.MotifDiscoverer.KindOfProfile

All Implemented Interfaces:
  Serializable, Comparable<MotifDiscoverer.KindOfProfile>

Enclosing interface:
  MotifDiscoverer

    public static enum MotifDiscoverer.KindOfProfile

extends Enum<MotifDiscoverer.KindOfProfile>

This `enum` can be used to determine which kind of profile should be returned.

See Also:
  `MotifDiscoverer.getProfileOfScoresFor(int, int, Sequence, int, KindOfProfile)`

Enum Constant Summary
`NORMALIZED_CONDITIONAL` The profile should return `\log P(seq,pos|component,class)`.
`UNNORMALIZED_CONDITIONAL` The profile should return `\log Q(seq,pos|component,class)`.
`UNNORMALIZED_JOINT` The profile should return `\log Q(seq,pos,component|class)`.

Method Summary
`static MotifDiscoverer.KindOfProfile` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MotifDiscoverer.KindOfProfile[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNNORMALIZED_JOINT

    public static final MotifDiscoverer.KindOfProfile UNNORMALIZED_JOINT

  The profile should return `\log Q(seq,pos,component|class)`.

### NORMALIZED_CONDITIONAL

    public static final MotifDiscoverer.KindOfProfile NORMALIZED_CONDITIONAL

  The profile should return `\log P(seq,pos|component,class)`.

### UNNORMALIZED_CONDITIONAL

    public static final MotifDiscoverer.KindOfProfile UNNORMALIZED_CONDITIONAL

  The profile should return `\log Q(seq,pos|component,class)`.

Method Detail

### values

    public static final MotifDiscoverer.KindOfProfile[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MotifDiscoverer.KindOfProfile c : MotifDiscoverer.KindOfProfile.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MotifDiscoverer.KindOfProfile valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD